# Oquonie

[Oquonie](https://100r.co/site/oquonie.html) is a puzzle game, written in [Uxntal](https://wiki.xxiivv.com/site/uxntal.html).

## Notes

Oquonie is larger than a standard 64kb rom, it makes use of the [memory manager](http://wiki.xxiivv.com/site/varvara.html#system). The current memory mapping is:

```
0000 ram
0001 walls & maps
0002 characters
0003 characters(cont) & floors
0004 blockers
0005 events
0006 portraits & camilare
```

## Build

You must have an [Uxn](https://git.sr.ht/~rabbits/uxn/) assembler and emulator. Oquonie is pretty intricate to assemble, it needs to pack the spritesheets into the rom, have a look at the build script to better understand how this is handled. For the first run, you need to pack the assets with the `--assets` flag, afterward, unless assets have changed, simply use `.build.sh`.

```sh
.build.sh --assets
```

## Support

- Linted with [uxnlin](https://git.sr.ht/~rabbits/uxnlin)
- Assembled with [drifblim](https://git.sr.ht/~rabbits/drifblim)
